---
title: "添加 FOMO 用户、代币或 pump.fun 账号"
canonical_url: "https://tweetstream.io/zh-cn/docs/api/add-fomo-or-callout-subscription"
last_updated: 2026-11-05
---

# 添加 FOMO 用户、代币或 pump.fun 账号

PUT /api/callouts 用于跟踪一个 FOMO 用户、FOMO 代币或 pump.fun caller，并可附加一个便于识别的标签。成功时返回更新后的订阅列表和各平台额度；返回 409 表示该平台的订阅额度已满，需要先移除其他项目。

Canonical URL: https://tweetstream.io/zh-cn/docs/api/add-fomo-or-callout-subscription

## `PUT /api/callouts`

`https://api.tweetstream.io/api/callouts`

## 授权

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `Authorization` | `string`, 必填 | 使用 TweetStream API 密钥进行 Bearer 认证：`Bearer <key>`。 |

## 请求体

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `platform` | `enum<string>`, 必填 |  |
| `input` | `string`, 必填 |  |
| `label` | `string` |  |

### 请求体示例

```json
{
  "input": "marketdesk",
  "label": "Market Desk",
  "platform": "pump_fun"
}
```

## 响应字段

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `caller` | `object` |  |
| `caller.callerId` | `string`, 必填 |  |
| `caller.createdAt` | `string`, 必填 |  |
| `caller.label` | `string`, 必填 |  |
| `caller.platform` | `enum<string>`, 必填 |  |
| `caller.username` | `string`, 必填 |  |
| `caller.metadata` | `object` |  |
| `caller.metadata.displayName` | `string` |  |
| `caller.metadata.avatarUrl` | `string` |  |
| `caller.metadata.tokenAddress` | `string` |  |
| `caller.metadata.symbol` | `string` |  |
| `caller.metadata.name` | `string` |  |
| `caller.metadata.imageUrl` | `string` |  |
| `caller.metadata.networkId` | `integer` |  |
| `callers` | `object[] \| null`, 必填 |  |
| `callers.callerId` | `string`, 必填 |  |
| `callers.createdAt` | `string`, 必填 |  |
| `callers.label` | `string`, 必填 |  |
| `callers.platform` | `enum<string>`, 必填 |  |
| `callers.username` | `string`, 必填 |  |
| `callers.metadata` | `object` |  |
| `callers.metadata.displayName` | `string` |  |
| `callers.metadata.avatarUrl` | `string` |  |
| `callers.metadata.tokenAddress` | `string` |  |
| `callers.metadata.symbol` | `string` |  |
| `callers.metadata.name` | `string` |  |
| `callers.metadata.imageUrl` | `string` |  |
| `callers.metadata.networkId` | `integer` |  |
| `pending` | `object[] \| null`, 必填 |  |
| `pending.createdAt` | `string`, 必填 |  |
| `pending.intentId` | `string`, 必填 |  |
| `pending.input` | `string`, 必填 |  |
| `pending.label` | `string`, 必填 |  |
| `pending.platform` | `enum<string>`, 必填 |  |
| `limit` | `enum<integer>`, 必填 | Current pump.fun capacity, the same as limits.pump_fun. Read limits for each platform's capacity. |
| `limits` | `object`, 必填 | Current platform capacity. All values are 0 when the account has no active eligible plan. |
| `limits.pump_fun` | `enum<integer>`, 必填 |  |
| `limits.fomo_user` | `integer`, 必填 |  |
| `limits.fomo_coin` | `enum<integer>`, 必填 |  |
| `removed` | `boolean` |  |

## 响应

| 状态 | 说明 | 请求头 |
| --- | --- | --- |
| `200` | 成功 |  |
| `400` | 请求无效 |  |
| `401` | API key 缺失或无效 |  |
| `403` | 已认证的账号无法使用此功能 |  |
| `404` | 找不到请求的资源 |  |
| `409` | 已达到该平台的订阅上限 |  |
| `500` | 请求未能完成 |  |
| `503` | 暂时不可用 |  |

### 200

```json
{
  "caller": {
    "callerId": "<string>",
    "createdAt": "2026-01-01T00:00:00Z",
    "label": "<string>",
    "platform": "pump_fun",
    "username": "<string>",
    "metadata": {
      "displayName": "<string>",
      "avatarUrl": "<string>",
      "tokenAddress": "<string>",
      "symbol": "<string>",
      "name": "<string>",
      "imageUrl": "<string>",
      "networkId": 123
    }
  },
  "callers": [
    {
      "callerId": "<string>",
      "createdAt": "2026-01-01T00:00:00Z",
      "label": "<string>",
      "platform": "pump_fun",
      "username": "<string>",
      "metadata": {
        "displayName": "<string>",
        "avatarUrl": "<string>",
        "tokenAddress": "<string>",
        "symbol": "<string>",
        "name": "<string>",
        "imageUrl": "<string>",
        "networkId": 123
      }
    }
  ],
  "pending": [
    {
      "createdAt": "2026-01-01T00:00:00Z",
      "intentId": "<string>",
      "input": "<string>",
      "label": "<string>",
      "platform": "pump_fun"
    }
  ],
  "limit": 0,
  "limits": {
    "pump_fun": 0,
    "fomo_user": 0,
    "fomo_coin": 0
  },
  "removed": true
}
```

### 400

```json
{
  "error": "<string>"
}
```

### 401

```json
{
  "error": "<string>"
}
```

### 403

```json
{
  "error": "<string>"
}
```

### 404

```json
{
  "error": "<string>"
}
```

### 409

```json
{
  "error": "<string>"
}
```

### 500

```json
{
  "error": "<string>"
}
```

### 503

```json
{
  "error": "<string>"
}
```

## 代码示例

### cURL

```bash
curl --request PUT \
  --url https://api.tweetstream.io/api/callouts \
  --header "Authorization: Bearer $TWEETSTREAM_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
  "platform": "pump_fun",
  "input": "marketdesk"
}'
```

### JavaScript

```javascript
const response = await fetch("https://api.tweetstream.io/api/callouts", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.TWEETSTREAM_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "platform": "pump_fun",
    "input": "marketdesk"
  }),
});

console.log(response.status, await response.json());
```

### Python

```python
import os
import requests

response = requests.put(
    "https://api.tweetstream.io/api/callouts",
    headers={"Authorization": f"Bearer {os.environ['TWEETSTREAM_API_KEY']}"},
    json={
        "platform": "pump_fun",
        "input": "marketdesk",
    },
)

print(response.status_code, response.json())
```
